/*
 * Class TYPE [TYPED_POINTER [NATURAL_64]]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_676 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_676 [] = {0xFF01,237,675,673,212,0xFFFF};
static const EIF_TYPE_INDEX egt_2_676 [] = {0xFF01,675,673,212,0xFFFF};
static const EIF_TYPE_INDEX egt_3_676 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_676 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_676 [] = {0xFF01,675,673,212,0xFFFF};
static const EIF_TYPE_INDEX egt_6_676 [] = {0xFF01,675,673,212,0xFFFF};
static const EIF_TYPE_INDEX egt_7_676 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_676 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_676 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_676 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_676 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_676 [] = {675,673,212,0xFFFF};
static const EIF_TYPE_INDEX egt_13_676 [] = {0xFF01,675,673,212,0xFFFF};
static const EIF_TYPE_INDEX egt_14_676 [] = {0xFF01,228,0xFFFF};
static const EIF_TYPE_INDEX egt_15_676 [] = {0xFF01,237,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_676 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_676 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_676 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_676 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_676 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_676 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_676 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_676 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_676 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_676 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_26_676 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_27_676 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_676 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_676[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_676), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_676), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9175, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_676), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_676), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_676), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_676), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_676), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_676), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_676), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_676), 9183, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_676), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_676), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_676), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_676), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 9170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9176, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9177, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1449, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_676), 9167, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_676), 9168, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 9169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 9171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9172, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9173, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9174, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_676), 9178, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_676), 9179, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_676), 9180, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_676), 9181, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_676), 9182, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_676), 9185, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9186, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9187, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_676), 9188, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_676), 9189, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_676), 9190, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_676), 9191, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C9 /*228*/), 9192, 0},
	{EIF_GENERIC(egt_26_676), 9193, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_676), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_676), 9184, 0xFFFFFFFF},
};
void Init676(void)
{
	IDSC(desc_676, 0, 675);
	IDSC(desc_676 + 1, 1, 675);
	IDSC(desc_676 + 32, 248, 675);
	IDSC(desc_676 + 34, 203, 675);
	IDSC(desc_676 + 38, 11, 675);
	IDSC(desc_676 + 60, 336, 675);
}


#ifdef __cplusplus
}
#endif
